Skip to content
Version v3.2.0

User Store API v2 ​

Current Version

This is the current and recommended version of the User Store API. For the deprecated v1 API, see User Store API v1.

The User Store API v2 manages users, groups, memberships, profiles, and credentials within a specific user store instance. All endpoints are scoped by the {userstore} route value. The generated .NET client uses typed identifiers such as IdpInstanceId, UserId, and GroupId, while the HTTP API still uses UUID strings in paths and JSON payloads.

For cross-cutting behavior that is easier to explain outside the generated endpoint reference, see:


GetAuditTrail​

GET
/api/userstore/v2/{userstore}/administration/CustomAuditTrail/{id}

Responses​

OK

application/json
JSON
{
  
"id": 0,
  
"timestamp": "string",
  
"user": "string",
  
"area": "string",
  
"primaryKey": "string",
  
"category": "string",
  
"action": "string",
  
"dataSource": "string",
  
"originalContent": "string",
  
"currentContent": "string",
  
"signature": "string",
  
"signaturePublicKeyInfo": "string"
}

GetAuditTrails​

GET
/api/userstore/v2/{userstore}/administration/CustomAuditTrail

Responses​

OK

application/json
JSON
[
  
{
  
  
"id": 0,
  
  
"timestamp": "string",
  
  
"user": "string",
  
  
"area": "string",
  
  
"primaryKey": "string",
  
  
"category": "string",
  
  
"action": "string",
  
  
"dataSource": "string",
  
  
"originalContent": "string",
  
  
"currentContent": "string",
  
  
"signature": "string",
  
  
"signaturePublicKeyInfo": "string"
  
}
]

Group​


GetGroup​

GET
/api/userstore/v2/{userstore}/administration/Group/{id}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

UpdateGroup​

PUT
/api/userstore/v2/{userstore}/administration/Group/{id}

Request Body​

JSON
{
  
"id": "string",
  
"name": "string",
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

DeleteGroup​

DELETE
/api/userstore/v2/{userstore}/administration/Group/{id}

Responses​

No Content


PatchGroup​

PATCH
/api/userstore/v2/{userstore}/administration/Group/{id}

Request Body​

JSON
{
  
"name": null,
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

GetGroups​

GET
/api/userstore/v2/{userstore}/administration/Group

Responses​

OK

application/json
JSON
[
  
{
  
  
"instanceId": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"memberUsers": [...],
  
  
"parentGroups": [...],
  
  
"memberGroups": [...],
  
  
"concurrencyToken": "string"
  
}
]

CreateGroup​

POST
/api/userstore/v2/{userstore}/administration/Group

Request Body​

JSON
{
  
"id": "string",
  
"name": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

UpdateGroups​

PUT
/api/userstore/v2/{userstore}/administration/Group/batch

Request Body​

JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"concurrencyToken": "string"
  
}
]

Responses​

OK

application/json
JSON
[
]

CreateGroupBatch​

POST
/api/userstore/v2/{userstore}/administration/Group/batch

Request Body​

JSON
[
  
{
  
  
"id": "string",
  
  
"name": "string",
  
  
"instanceId": "string"
  
}
]

Responses​

OK

application/json
JSON
[
]

DeleteGroupBatch​

DELETE
/api/userstore/v2/{userstore}/administration/Group/batch

Request Body​

JSON
[
  
"string"
]

Responses​

No Content


SetGroupMemberUsers​

PUT
/api/userstore/v2/{userstore}/administration/Group/{groupId}/users

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

AddGroupUserToGroup​

POST
/api/userstore/v2/{userstore}/administration/Group/{groupId}/users

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

RemoveGroupUserFromGroup​

DELETE
/api/userstore/v2/{userstore}/administration/Group/{groupId}/users

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

SetGroupParentGroups​

PUT
/api/userstore/v2/{userstore}/administration/Group/{groupId}/parentgroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

AddParentGroup​

POST
/api/userstore/v2/{userstore}/administration/Group/{groupId}/parentgroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

RemoveParentGroup​

DELETE
/api/userstore/v2/{userstore}/administration/Group/{groupId}/parentgroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

SetGroupMemberGroups​

PUT
/api/userstore/v2/{userstore}/administration/Group/{groupId}/membergroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

AddMemberGroup​

POST
/api/userstore/v2/{userstore}/administration/Group/{groupId}/membergroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

RemoveMemberGroup​

DELETE
/api/userstore/v2/{userstore}/administration/Group/{groupId}/membergroups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"name": "string",
  
"memberUsers": [
  
  
{...}
  
],
  
"parentGroups": [
  
],
  
"memberGroups": [
  
],
  
"concurrencyToken": "string"
}

GetAllGroupMembershipFromGroup​

GET
/api/userstore/v2/{userstore}/administration/Group/parentGroup/{parentGroupId}/membership

Responses​

OK

application/json
JSON
[
]

GetAllGroupMembershipFromUser​

GET
/api/userstore/v2/{userstore}/administration/Group/user/{userid}/membership

Responses​

OK

application/json
JSON
[
]

SynchronizeAllGroups​

POST
/api/userstore/v2/{userstore}/administration/Group/synchronize

Responses​

OK

application/json

GetGroupMetadataByGroupId​

GET
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata

Responses​

OK

application/json
JSON
[
  
{
  
  
"instanceId": "string",
  
  
"groupId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"concurrencyToken": "string"
  
}
]

CreateGroupMetadata​

POST
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata

Request Body​

JSON
{
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"concurrencyToken": "string"
}

GetGroupMetadata​

GET
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"concurrencyToken": "string"
}

UpdateGroupMetadata​

PUT
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Request Body​

JSON
{
  
"value": "string",
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"concurrencyToken": "string"
}

DeleteGroupMetadata​

DELETE
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Responses​

No Content


PatchGroupMetadata​

PATCH
/api/userstore/v2/{userstore}/administration/Group/{groupId}/GroupMetadata/{key}

Request Body​

JSON
{
  
"value": null,
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"groupId": "string",
  
"key": "string",
  
"value": "string",
  
"concurrencyToken": "string"
}

GetPasskeyCredentialsByUserId​

GET
/api/userstore/v2/{userstore}/administration/PasskeyCredential/user/{userId}

Responses​

OK

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"userId": "string",
  
  
"name": "string",
  
  
"credentialIdBase64": "string",
  
  
"isBackupEligible": true,
  
  
"isBackedUp": true,
  
  
"aaguidHex": "string",
  
  
"createdOn": "string",
  
  
"lastUsedOn": "string",
  
  
"instanceId": "string"
  
}
]

DeletePasskeyCredential​

DELETE
/api/userstore/v2/{userstore}/administration/PasskeyCredential/user/{userId}/{passkeyId}

Responses​

No Content


GetUserOverview​

GET
/api/userstore/v2/{userstore}/administration/passkey-security/users/{userId}

Responses​

OK

JSON
{
  
"user": {
  
  
"id": "string",
  
  
"loginName": "string",
  
  
"displayName": "string"
  
},
  
"readiness": {
  
  
"userId": "string",
  
  
"passwordCredentialStatus": "string",
  
  
"primaryAuthenticationStatus": "string",
  
  
"usableCredentialCount": 0,
  
  
"requiredCredentialCount": 0,
  
  
"verifiedSecurityContactCount": 0,
  
  
"requiredVerifiedSecurityContactCount": 0,
  
  
"credentialDiversitySatisfied": true,
  
  
"recoveryRouteOperational": true,
  
  
"matureBindingLineageAvailable": true,
  
  
"readyForPasswordRemoval": true,
  
  
"blockingReasons": [...],
  
  
"policyFingerprint": "string"
  
},
  
"credentials": [
  
  
{...}
  
],
  
"temporaryAccessPasses": [
  
  
{...}
  
],
  
"recoveryTransactions": [
  
  
{...}
  
],
  
"securityEvents": [
  
  
{...}
  
]
}

GetOperations​

GET
/api/userstore/v2/{userstore}/administration/passkey-security/operations

Responses​

OK

JSON
{
  
"generatedOn": "string",
  
"users": [
  
  
{...}
  
],
  
"temporaryAccessPasses": [
  
],
  
"recoveryTransactions": [
  
],
  
"securityEvents": [
  
]
}

ListTemporaryAccessPasses​

GET
/api/userstore/v2/{userstore}/administration/passkey-security/temporary-access-passes

Responses​

OK

JSON
{
  
"items": [
  
],
  
"totalCount": 0
}

ListRecoveryTransactions​

GET
/api/userstore/v2/{userstore}/administration/passkey-security/recovery-transactions

Responses​

OK

JSON
{
  
"items": [
  
],
  
"totalCount": 0
}

ListPasskeySecurityEvents​

GET
/api/userstore/v2/{userstore}/administration/passkey-security/events

Responses​

OK

JSON
{
  
"items": [
  
],
  
"totalCount": 0
}

ChangePasswordPublic​

POST
/api/userstore/v2/{userstore}/PublicAdmin/user/loginname/{loginName}/password/change

Request Body​

JSON
{
  
"oldPassword": "string",
  
"newPassword": "string"
}

Responses​

OK


ResetPasswordTokenResponsePublic​

POST
/api/userstore/v2/{userstore}/PublicAdmin/user/loginname/{loginname}/password/reset/response

Request Body​

JSON
{
  
"token": "string",
  
"newPassword": "string"
}

Responses​

OK


User​

Operations​

GET/api/userstore/v2/{userstore}/administration/User/{id}PUT/api/userstore/v2/{userstore}/administration/User/{id}DELETE/api/userstore/v2/{userstore}/administration/User/{id}PATCH/api/userstore/v2/{userstore}/administration/User/{id}GET/api/userstore/v2/{userstore}/administration/UserPOST/api/userstore/v2/{userstore}/administration/UserPUT/api/userstore/v2/{userstore}/administration/User/batchPOST/api/userstore/v2/{userstore}/administration/User/batchDELETE/api/userstore/v2/{userstore}/administration/User/batchPUT/api/userstore/v2/{userstore}/administration/User/{userId}/emailaddressPUT/api/userstore/v2/{userstore}/administration/User/{userId}/groupsPOST/api/userstore/v2/{userstore}/administration/User/{userId}/groupsDELETE/api/userstore/v2/{userstore}/administration/User/{userId}/groupsGET/api/userstore/v2/{userstore}/administration/User/{userId}/imagePUT/api/userstore/v2/{userstore}/administration/User/{userId}/imageDELETE/api/userstore/v2/{userstore}/administration/User/{userId}/imageGET/api/userstore/v2/{userstore}/administration/User/loginname/{userName}POST/api/userstore/v2/{userstore}/administration/User/synchronizePOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/initialPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/initial/resetPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/resetPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/sendresetemailPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/requestPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/responsePOST/api/userstore/v2/{userstore}/administration/User/{userId}/lockout/resetPOST/api/userstore/v2/{userstore}/administration/User/{userId}/password/changePOST/api/userstore/v2/{userstore}/administration/User/{userId}/statePOST/api/userstore/v2/{userstore}/administration/User/{userId}/restore-deletion

GetUser​

GET
/api/userstore/v2/{userstore}/administration/User/{id}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

UpdateUser​

PUT
/api/userstore/v2/{userstore}/administration/User/{id}

Request Body​

JSON
{
  
"id": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

DeleteUser​

DELETE
/api/userstore/v2/{userstore}/administration/User/{id}

Responses​

No Content


PatchUser​

PATCH
/api/userstore/v2/{userstore}/administration/User/{id}

Request Body​

JSON
{
  
"loginName": null,
  
"firstName": null,
  
"lastName": null,
  
"emailAddress": null,
  
"emailAddressConfirmed": null,
  
"phoneNumber": null,
  
"phoneNumberConfirmed": null,
  
"middleName": null,
  
"nickname": null,
  
"profile": null,
  
"picture": null,
  
"website": null,
  
"gender": null,
  
"birthdate": null,
  
"zoneinfo": null,
  
"locale": null,
  
"userValidFrom": null,
  
"userValidTo": null,
  
"isUserActive": null,
  
"isUserLockEnabled": null,
  
"passwordNeverExpires": null,
  
"canChangePasswordOnExpiration": null,
  
"passwordExpiration": null,
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

GetUsers​

GET
/api/userstore/v2/{userstore}/administration/User

Responses​

OK

application/json
JSON
[
  
{
  
  
"instanceId": "string",
  
  
"id": "string",
  
  
"externalUniqueIdentifier": "string",
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"emailAddressConfirmed": true,
  
  
"phoneNumber": "string",
  
  
"phoneNumberConfirmed": true,
  
  
"middleName": "string",
  
  
"nickname": "string",
  
  
"profile": "string",
  
  
"picture": "string",
  
  
"website": "string",
  
  
"gender": "string",
  
  
"birthdate": "string",
  
  
"zoneinfo": "string",
  
  
"locale": "string",
  
  
"userValidFrom": "string",
  
  
"userValidTo": "string",
  
  
"isUserActive": true,
  
  
"isUserLockEnabled": true,
  
  
"isUserLocked": true,
  
  
"failedUserLoginAttempts": 0,
  
  
"failedTemporaryLockAttempts": 0,
  
  
"lockedUntil": "string",
  
  
"passwordNeverExpires": true,
  
  
"canChangePasswordOnExpiration": true,
  
  
"passwordExpiration": "string",
  
  
"isInitialPassword": true,
  
  
"isPasswordChangeRequired": true,
  
  
"memberOfGroups": [...],
  
  
"concurrencyToken": "string"
  
}
]

CreateUser​

POST
/api/userstore/v2/{userstore}/administration/User

Request Body​

JSON
{
  
"id": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"instanceId": "string"
}

Responses​

Created

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

UpdateBatch​

PUT
/api/userstore/v2/{userstore}/administration/User/batch

Request Body​

JSON
[
  
{
  
  
"id": "string",
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"emailAddressConfirmed": true,
  
  
"phoneNumber": "string",
  
  
"phoneNumberConfirmed": true,
  
  
"middleName": "string",
  
  
"nickname": "string",
  
  
"profile": "string",
  
  
"picture": "string",
  
  
"website": "string",
  
  
"gender": "string",
  
  
"birthdate": "string",
  
  
"zoneinfo": "string",
  
  
"locale": "string",
  
  
"userValidFrom": "string",
  
  
"userValidTo": "string",
  
  
"isUserActive": true,
  
  
"isUserLockEnabled": true,
  
  
"passwordNeverExpires": true,
  
  
"canChangePasswordOnExpiration": true,
  
  
"passwordExpiration": "string",
  
  
"concurrencyToken": "string"
  
}
]

Responses​

OK

application/json
JSON
[
]

CreateBatch​

POST
/api/userstore/v2/{userstore}/administration/User/batch

Request Body​

JSON
[
  
{
  
  
"id": "string",
  
  
"loginName": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"emailAddress": "string",
  
  
"emailAddressConfirmed": true,
  
  
"phoneNumber": "string",
  
  
"phoneNumberConfirmed": true,
  
  
"middleName": "string",
  
  
"nickname": "string",
  
  
"profile": "string",
  
  
"picture": "string",
  
  
"website": "string",
  
  
"gender": "string",
  
  
"birthdate": "string",
  
  
"zoneinfo": "string",
  
  
"locale": "string",
  
  
"userValidFrom": "string",
  
  
"userValidTo": "string",
  
  
"isUserActive": true,
  
  
"isUserLockEnabled": true,
  
  
"passwordNeverExpires": true,
  
  
"canChangePasswordOnExpiration": true,
  
  
"passwordExpiration": "string",
  
  
"instanceId": "string"
  
}
]

Responses​

OK

application/json
JSON
[
]

DeleteBatch​

DELETE
/api/userstore/v2/{userstore}/administration/User/batch

Request Body​

JSON
[
  
"string"
]

Responses​

No Content


UpdateUserEmailAddress​

PUT
/api/userstore/v2/{userstore}/administration/User/{userId}/emailaddress

Request Body​

JSON
{
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

SetUserMemberOfGroups​

PUT
/api/userstore/v2/{userstore}/administration/User/{userId}/groups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

AddUserToGroup​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/groups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

RemoveUserFromGroup​

DELETE
/api/userstore/v2/{userstore}/administration/User/{userId}/groups

Request Body​

JSON
{
  
"relatedIds": [
  
  
"string"
  
]
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

GetUserImage​

GET
/api/userstore/v2/{userstore}/administration/User/{userId}/image

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"userId": "string",
  
"contentType": "string",
  
"sizeBytes": 0,
  
"sha256": "string",
  
"concurrencyToken": "string"
}

SetUserImage​

PUT
/api/userstore/v2/{userstore}/administration/User/{userId}/image

Responses​

OK

application/json
JSON
{
  
"id": "string",
  
"userId": "string",
  
"contentType": "string",
  
"sizeBytes": 0,
  
"sha256": "string",
  
"concurrencyToken": "string"
}

DeleteUserImage​

DELETE
/api/userstore/v2/{userstore}/administration/User/{userId}/image

Responses​

No Content


GetUserByLoginName​

GET
/api/userstore/v2/{userstore}/administration/User/loginname/{userName}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

SynchronizeAllUsers​

POST
/api/userstore/v2/{userstore}/administration/User/synchronize

Responses​

OK

application/json

SetInitialPassword​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/initial

Request Body​

JSON
{
  
"password": "string",
  
"passwordExpiration": "string"
}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ResetInitialPasswordExpiration​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/initial/reset

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ResetPassword​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset

Request Body​

JSON
{
  
"newPassword": "string"
}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

SendPasswordResetEmail​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/sendresetemail

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ResetPasswordTokenRequest​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/request

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ResetPasswordTokenResponse​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/reset/response

Request Body​

JSON
{
  
"token": "string",
  
"newPassword": "string"
}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ResetAccessFailedCount​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/lockout/reset

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

ChangePassword​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/password/change

Request Body​

JSON
{
  
"oldPassword": "string",
  
"newPassword": "string"
}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

SetUserState​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/state

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

RestoreUserDeletionQuarantine​

POST
/api/userstore/v2/{userstore}/administration/User/{userId}/restore-deletion

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

GetReadiness​

GET
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-lifecycle/readiness

Responses​

OK

JSON
{
  
"userId": "string",
  
"passwordCredentialStatus": "string",
  
"primaryAuthenticationStatus": "string",
  
"usableCredentialCount": 0,
  
"requiredCredentialCount": 0,
  
"verifiedSecurityContactCount": 0,
  
"requiredVerifiedSecurityContactCount": 0,
  
"credentialDiversitySatisfied": true,
  
"recoveryRouteOperational": true,
  
"matureBindingLineageAvailable": true,
  
"readyForPasswordRemoval": true,
  
"blockingReasons": [
  
  
"string"
  
],
  
"policyFingerprint": "string"
}

SchedulePasswordRemoval​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-lifecycle/password-removal/schedule

Request Body​

JSON
{
  
"explicitUserConfirmation": true,
  
"independentRecoveryTransactionId": "string",
  
"correlationId": "string"
}

Responses​

OK

JSON
{
  
"userId": "string",
  
"passwordCredentialStatus": "string",
  
"primaryAuthenticationStatus": "string",
  
"passwordRemovalScheduledOn": "string",
  
"passwordRemovalDueOn": "string",
  
"passwordRemovedOn": "string",
  
"authenticationSecurityEpoch": 0
}

CommitPasswordRemoval​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-lifecycle/password-removal/commit

Request Body​

JSON
{
  
"correlationId": "string"
}

Responses​

OK

JSON
{
  
"userId": "string",
  
"passwordCredentialStatus": "string",
  
"primaryAuthenticationStatus": "string",
  
"passwordRemovalScheduledOn": "string",
  
"passwordRemovalDueOn": "string",
  
"passwordRemovedOn": "string",
  
"authenticationSecurityEpoch": 0
}

CancelPasswordRemoval​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-lifecycle/password-removal/cancel

Responses​

OK

JSON
{
  
"userId": "string",
  
"passwordCredentialStatus": "string",
  
"primaryAuthenticationStatus": "string",
  
"passwordRemovalScheduledOn": "string",
  
"passwordRemovalDueOn": "string",
  
"passwordRemovedOn": "string",
  
"authenticationSecurityEpoch": 0
}

RevokeCompromisedCredential​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-lifecycle/credentials/{passkeyId}/compromise

Request Body​

JSON
{
  
"reason": "string"
}

Responses​

No Content


UserPasskeyRecovery​

Operations​

GET/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contactsPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contactsPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}/verifyPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}/replacementPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contact-replacements/{transactionId}/confirmDELETE/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}POST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/recovery-codes/rotatePOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-passesPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-pass-requestsPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-passes/{temporaryAccessPassId}/approvalsPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactionsPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/recovery-codePOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/verified-contactPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/temporary-access-passPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/identity-proofingPOST/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/identity-proofing/{identityProofingTransactionId}/poll

GetSecurityContacts​

GET
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts

Responses​

OK

JSON
[
  
{
  
  
"id": "string",
  
  
"userId": "string",
  
  
"type": "string",
  
  
"displayValue": "string",
  
  
"isVerified": true,
  
  
"verifiedOn": "string",
  
  
"provenance": "string",
  
  
"revokedOn": "string",
  
  
"purposes": "string",
  
  
"lifecycleStatus": "string",
  
  
"isPrimary": true,
  
  
"securityEpoch": 0
  
}
]

AddSecurityContact​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts

Request Body​

JSON
{
  
"type": "string",
  
"value": "string",
  
"purposes": "string",
  
"isPrimary": true
}

Responses​

Created

JSON
{
  
"id": "string",
  
"userId": "string",
  
"type": "string",
  
"displayValue": "string",
  
"isVerified": true,
  
"verifiedOn": "string",
  
"provenance": "string",
  
"revokedOn": "string",
  
"purposes": "string",
  
"lifecycleStatus": "string",
  
"isPrimary": true,
  
"securityEpoch": 0
}

VerifySecurityContact​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}/verify

Request Body​

JSON
{
  
"token": "string"
}

Responses​

OK

JSON
{
  
"id": "string",
  
"userId": "string",
  
"type": "string",
  
"displayValue": "string",
  
"isVerified": true,
  
"verifiedOn": "string",
  
"provenance": "string",
  
"revokedOn": "string",
  
"purposes": "string",
  
"lifecycleStatus": "string",
  
"isPrimary": true,
  
"securityEpoch": 0
}

BeginSecurityContactChange​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}/replacement

Request Body​

JSON
{
  
"replacementValue": "string",
  
"purposes": "string",
  
"isPrimary": true
}

Responses​

OK

JSON
{
  
"id": "string",
  
"currentContactId": "string",
  
"candidateContactId": "string",
  
"status": "string",
  
"expiresOn": "string",
  
"candidate": {
  
  
"id": "string",
  
  
"userId": "string",
  
  
"type": "string",
  
  
"displayValue": "string",
  
  
"isVerified": true,
  
  
"verifiedOn": "string",
  
  
"provenance": "string",
  
  
"revokedOn": "string",
  
  
"purposes": "string",
  
  
"lifecycleStatus": "string",
  
  
"isPrimary": true,
  
  
"securityEpoch": 0
  
}
}

ConfirmSecurityContactChange​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contact-replacements/{transactionId}/confirm

Request Body​

JSON
{
  
"originalContactToken": "string",
  
"candidateContactToken": "string",
  
"explicitConfirmation": true
}

Responses​

OK

JSON
{
  
"id": "string",
  
"userId": "string",
  
"type": "string",
  
"displayValue": "string",
  
"isVerified": true,
  
"verifiedOn": "string",
  
"provenance": "string",
  
"revokedOn": "string",
  
"purposes": "string",
  
"lifecycleStatus": "string",
  
"isPrimary": true,
  
"securityEpoch": 0
}

RevokeSecurityContact​

DELETE
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/security-contacts/{contactId}

Responses​

No Content


RotateRecoveryCodes​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/recovery-codes/rotate

Responses​

OK

JSON
{
  
"setId": "string",
  
"codes": [
  
]
}

IssueTemporaryAccessPass​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-passes

Responses​

OK

JSON
{
  
"id": "string",
  
"secret": "string",
  
"expiresOn": "string",
  
"requiredApprovals": 0,
  
"currentApprovals": 0
}

RequestTemporaryAccessPass​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-pass-requests

Request Body​

JSON
{
  
"reason": "string"
}

Responses​

OK

JSON
{
  
"id": "string",
  
"secret": "string",
  
"expiresOn": "string",
  
"requiredApprovals": 0,
  
"currentApprovals": 0
}

ApproveTemporaryAccessPass​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/temporary-access-passes/{temporaryAccessPassId}/approvals

Responses​

OK

JSON
{
  
"id": "string",
  
"secret": "string",
  
"expiresOn": "string",
  
"requiredApprovals": 0,
  
"currentApprovals": 0
}

StartRecovery​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions

Request Body​

JSON
{
  
"purpose": "string",
  
"routeName": "string"
}

Responses​

OK

JSON
{
  
"id": "string",
  
"userId": "string",
  
"purpose": "string",
  
"status": "string",
  
"routeName": "string",
  
"expiresOn": "string"
}

RedeemRecoveryCode​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/recovery-code

Request Body​

JSON
{
  
"secret": "string"
}

Responses​

OK

JSON
{
  
"transactionId": "string",
  
"status": "string",
  
"restrictedSession": null
}

RedeemVerifiedContact​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/verified-contact

Request Body​

JSON
{
  
"secret": "string"
}

Responses​

OK

JSON
{
  
"transactionId": "string",
  
"status": "string",
  
"restrictedSession": null
}

RedeemTemporaryAccessPass​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/temporary-access-pass

Request Body​

JSON
{
  
"secret": "string"
}

Responses​

OK

JSON
{
  
"transactionId": "string",
  
"status": "string",
  
"restrictedSession": null
}

StartIdentityProofing​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/identity-proofing

Request Body​

JSON
{
  
"returnUri": "string"
}

Responses​

OK

JSON
{
  
"id": "string",
  
"recoveryTransactionId": "string",
  
"providerId": "string",
  
"continuationUri": "string",
  
"expiresOn": "string",
  
"status": "string"
}

PollIdentityProofing​

POST
/api/userstore/v2/{userstore}/administration/users/{userId}/passkey-recovery/transactions/{transactionId}/identity-proofing/{identityProofingTransactionId}/poll

Responses​

OK

JSON
{
  
"id": "string",
  
"status": "string",
  
"recoveryProof": null
}

GetUserProfiles​

GET
/api/userstore/v2/{userstore}/administration/user/{parentId}/UserProfile

Responses​

OK

application/json
JSON
[
  
{
  
  
"instanceId": "string",
  
  
"userId": "string",
  
  
"key": "string",
  
  
"value": "string",
  
  
"concurrencyToken": "string"
  
}
]

CreateUserProfile​

POST
/api/userstore/v2/{userstore}/administration/user/{parentId}/UserProfile

Request Body​

JSON
{
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"instanceId": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

GetUserProfile​

GET
/api/userstore/v2/{userstore}/administration/user/{parentId}/UserProfile/{key}

Responses​

OK

application/json
JSON
{
  
"instanceId": "string",
  
"userId": "string",
  
"key": "string",
  
"value": "string",
  
"concurrencyToken": "string"
}

UpdateUserProfile​

PUT
/api/userstore/v2/{userstore}/administration/user/{parentId}/UserProfile/{key}

Request Body​

JSON
{
  
"value": "string",
  
"concurrencyToken": "string"
}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}

DeleteUserProfile​

DELETE
/api/userstore/v2/{userstore}/administration/user/{parentId}/UserProfile/{key}

Responses​

Accepted

application/json
JSON
{
  
"instanceId": "string",
  
"id": "string",
  
"externalUniqueIdentifier": "string",
  
"loginName": "string",
  
"firstName": "string",
  
"lastName": "string",
  
"emailAddress": "string",
  
"emailAddressConfirmed": true,
  
"phoneNumber": "string",
  
"phoneNumberConfirmed": true,
  
"middleName": "string",
  
"nickname": "string",
  
"profile": "string",
  
"picture": "string",
  
"website": "string",
  
"gender": "string",
  
"birthdate": "string",
  
"zoneinfo": "string",
  
"locale": "string",
  
"userValidFrom": "string",
  
"userValidTo": "string",
  
"isUserActive": true,
  
"isUserLockEnabled": true,
  
"isUserLocked": true,
  
"failedUserLoginAttempts": 0,
  
"failedTemporaryLockAttempts": 0,
  
"lockedUntil": "string",
  
"passwordNeverExpires": true,
  
"canChangePasswordOnExpiration": true,
  
"passwordExpiration": "string",
  
"isInitialPassword": true,
  
"isPasswordChangeRequired": true,
  
"memberOfGroups": [
  
  
{...}
  
],
  
"concurrencyToken": "string"
}